BasicEnvelope
Date: 2016-06-25

org.osgi.service.wireadmin

## Class BasicEnvelope

- java.lang.Object
- - org.osgi.service.wireadmin.BasicEnvelope

- All Implemented Interfaces:
    Envelope

      public class BasicEnvelope
      extends java.lang.Object
      implements Envelope

  `BasicEnvelope` is an implementation of the `Envelope` interface

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicEnvelope(java.lang.Object value, java.lang.Object identification, java.lang.String scope)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getIdentification()` Return the identification of this `Envelope` object.
    `java.lang.String` | `getScope()` Return the scope name of this `Envelope` object.
    `java.lang.Object` | `getValue()` Return the value associated with this `Envelope` object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicEnvelope

          public BasicEnvelope(java.lang.Object value,
                       java.lang.Object identification,
                       java.lang.String scope)

      Constructor.
      Parameters:
        `value` - Content of this envelope, may be `null`.
        `identification` - Identifying object for this `Envelope` object, must not be `null`
        `scope` - Scope name for this object, must not be `null`
      See Also:
        `Envelope`

  - ### Method Detail

    - #### getValue

          public java.lang.Object getValue()

      Description copied from interface: `Envelope`
      Return the value associated with this `Envelope` object.
      Specified by:
        `getValue` in interface `Envelope`
      Returns:
        the value of the status item, or `null` when no item is associated with this object.
      See Also:
        `Envelope.getValue()`

    - #### getIdentification

          public java.lang.Object getIdentification()

      Description copied from interface: `Envelope`
      Return the identification of this `Envelope` object. An identification may be of any Java type. The type must be mutually agreed between the Consumer and Producer services.
      Specified by:
        `getIdentification` in interface `Envelope`
      Returns:
        an object which identifies the status item in the address space of the composite producer, must not be null.
      See Also:
        `Envelope.getIdentification()`

    - #### getScope

          public java.lang.String getScope()

      Description copied from interface: `Envelope`
      Return the scope name of this `Envelope` object. Scope names are used to restrict the communication between the Producer and Consumer services. Only `Envelopes` objects with a scope name that is permitted for the Producer and the Consumer services must be passed through a `Wire` object.
      Specified by:
        `getScope` in interface `Envelope`
      Returns:
        the security scope for the status item, must not be null.
      See Also:
        `Envelope.getScope()`